Bug 1232733 - DistributedTaskPart.equals() implementation is wrong
Summary: DistributedTaskPart.equals() implementation is wrong
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss Data Grid 6
Classification: JBoss
Component: Infinispan
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ER1
: 6.5.1
Assignee: Dan Berindei
QA Contact: Martin Gencur
URL:
Whiteboard:
Depends On:
Blocks: 1250033
TreeView+ depends on / blocked
 
Reported: 2015-06-17 11:58 UTC by Dan Berindei
Modified: 2019-08-15 04:43 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1250033 (view as bug list)
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Issue Tracker ISPN-5558 Major Resolved DistributedTaskPart.equals() implementation is wrong 2015-08-20 13:33:24 UTC

Description Dan Berindei 2015-06-17 11:58:31 UTC
DistributedExecutorService.submitEverywhere() returns a list of futures, one future for each targeted node. Because of how DistributedTaskPart.equals() is implemented, all the futures in the list appear to be equal, even though their target node is different and their result will also be different.

The simplest fix would be to remove the equals() and hashCode() overloads from DistributedTaskPart.

Comment 2 Dan Berindei 2015-06-17 15:59:23 UTC
PR: https://github.com/infinispan/jdg/pull/686


Note You need to log in before you can comment on or make changes to this bug.